cURL
curl --request GET \
--url https://api.mottostreaming.com/monetization/ads/v1/video_ads \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.mottostreaming.com/monetization/ads/v1/video_ads"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.mottostreaming.com/monetization/ads/v1/video_ads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"video_ads": [
{
"project_id": "<string>",
"name": "<string>",
"id": "<string>",
"ad_manifest": {
"title": "<string>",
"video_files": [
{
"config": {
"asset_id": "<string>"
}
}
],
"aspect_ratio": "<string>",
"duration_seconds": 123,
"allow_skip_after_seconds": 123,
"clickthrough_url": "<string>",
"impression_tracking_url": "<string>",
"error_tracking_url": "<string>"
},
"ad_tag_url": "<string>",
"geo_applicability_exempt": {
"country_codes": [
"<string>"
]
},
"geo_applicability_apply": {
"country_codes": [
"<string>"
]
},
"applies_to_all": true,
"target": {
"entity_ids": [
"<string>"
],
"event_ids": [
"<string>"
],
"creative_work_ids": [
"<string>"
],
"content_start_time": "2023-11-07T05:31:56Z",
"content_end_time": "2023-11-07T05:31:56Z",
"video_ids": [
"<string>"
]
},
"filter": {
"filter_events": "<string>",
"filter_creative_works": "<string>"
},
"priority": "<string>"
}
],
"next_page_token": "<string>"
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Video Ads
List video ads
ListVideoAds
Return list of video_ads.
GET
/
monetization
/
ads
/
v1
/
video_ads
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Maximum number of records to return
If this field is not empty then it must contain the next_page_token value
returned by a previous call to this method. Using this field causes the
method to return additional results from the previous method call.
You can filter the list of video_ads by the following fields:
disabled: Whether the video_ad is disabled or not.
⌘I

